function C2p29_PSET3_17p29

%%
% ********************************************************************
% Course Homework
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Problem Set #3, Problem #3, Textbook Problem #17.29
% 04/10/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************

%%
close all, clc, clear all

x=[ 0.1 0.2 0.4 0.6 0.9 1.3 1.5 1.7 1.8];
y=[0.75 1.25 1.45 1.25 0.85 0.55 0.35 0.28 0.18];

alpha_4=1;
beta_4 =0;

fprintf('\n\t Gauss-Newton Method Fit');

n_frmt='%+5.5f'; %fprintf format
er_frmt='%+5.5e';

fprintf('\n\n i \t alpha_4 \t\t beta_4' )
fprintf('\n--------------------------------------------------------%')

for i=1:10
    fprintf(['\n %d \t ' n_frmt '\t ' n_frmt ],i,alpha_4,beta_4)
    Z=[x.*exp(beta_4*x);alpha_4.*x.^2.*exp(beta_4*x)]';
    Y=alpha_4.*x.*exp(beta_4*x);
    D=[y-Y]';
    Delta=(Z'*Z)\Z'*D;
    alpha_4=alpha_4+Delta(1);
    beta_4 =beta_4 +Delta(2);
end
fprintf('\n')
x_fit=[0:.01:1.9];
y_fit=alpha_4.*x_fit.*exp(beta_4*x_fit);
plot(x,y,'r*',x_fit,y_fit,'b')
grid on, box on, xlabel('x'),ylabel('y')
legend('Data Points','Fit')
set(gcf,'Position',[50 50 [25 20]*30],'color','w')
title('Problem  17.29: Gauss-Newton Method')